<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'game',

    /*
     * Package.
     */
    'package'   => 'game',

    /*
     * Modules.
     */
    'modules'   => ['categories', 
'game'],

    'categories'       => [
        'model' => [
            'model'                 => \Game\Game\Models\Categories::class,
            'table'                 => 'categories',
            'presenter'             => \Game\Game\Repositories\Presenter\CategoriesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name',  'slug',  'status'],
            'translatables'         => [],
            'upload_folder'         => 'game/categories',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Game',
            'package'   => 'Game',
            'module'    => 'Categories',
        ],

    ],

    'game'       => [
        'model' => [
            'model'                 => \Game\Game\Models\Game::class,
            'table'                 => 'games',
            'presenter'             => \Game\Game\Repositories\Presenter\GamePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name',  'slug',  'thumbnail',  'description',  'images',  'status',  'featured',  'game_path',  'play_count',  'category_id',  'user_id',  'user_type'],
            'translatables'         => [],
            'upload_folder'         => 'game/game',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Game',
            'package'   => 'Game',
            'module'    => 'Game',
        ],

    ],
];
