<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateGamesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: games
         */
        Schema::create('games', function ($table) {
            $table->increments('id');
            $table->string('name', 191)->nullable();
            $table->string('slug', 191)->nullable();
            $table->string('thumbnail', 191)->nullable();
            $table->text('description')->nullable();
            $table->text('images')->nullable();
            $table->boolean('status')->nullable();
            $table->boolean('featured')->nullable();
            $table->string('game_path', 50)->nullable();
            $table->integer('play_count')->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('games');
    }
}
