Lavalite package that provides game management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `game/game`.

    "game/game": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Game\Game\Providers\GameServiceProvider::class,

And also add it to alias

    'Game'  => Game\Game\Facades\Game::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Game\\GameTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Game\Game\Providers\GameServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Game\Game\Providers\GameServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Game\Game\Providers\GameServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/game/{modulename}

**User**

    http://path-to-route-folder/user/game/{modulename}

**Public**

    http://path-to-route-folder/games


### API endpoints

**List**

    http://path-to-route-folder/api/user/game/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/game/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/game/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/game/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/game/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/game/{modulename}/{slug}
    METHOD: GET