            @include('game::game.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('game::game.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($game->defaultImage('images' , 'xl'))!!}" alt="{{$game->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="name">
                    {!! trans('game::game.label.name') !!}
                </label><br />
                    {!! $game['name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="slug">
                    {!! trans('game::game.label.slug') !!}
                </label><br />
                    {!! $game['slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="thumbnail">
                    {!! trans('game::game.label.thumbnail') !!}
                </label><br />
                    {!! $game['thumbnail'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="description">
                    {!! trans('game::game.label.description') !!}
                </label><br />
                    {!! $game['description'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="images">
                    {!! trans('game::game.label.images') !!}
                </label><br />
                    {!! $game['images'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('game::game.label.status') !!}
                </label><br />
                    {!! $game['status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="featured">
                    {!! trans('game::game.label.featured') !!}
                </label><br />
                    {!! $game['featured'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="game_path">
                    {!! trans('game::game.label.game_path') !!}
                </label><br />
                    {!! $game['game_path'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="play_count">
                    {!! trans('game::game.label.play_count') !!}
                </label><br />
                    {!! $game['play_count'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="category_id">
                    {!! trans('game::game.label.category_id') !!}
                </label><br />
                    {!! $game['category_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_id">
                    {!! trans('game::game.label.user_id') !!}
                </label><br />
                    {!! $game['user_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_type">
                    {!! trans('game::game.label.user_type') !!}
                </label><br />
                    {!! $game['user_type'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('name')
                       -> label(trans('game::game.label.name'))
                       -> required()
                       -> placeholder(trans('game::game.placeholder.name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('slug')
                       -> label(trans('game::game.label.slug'))
                       -> required()
                       -> placeholder(trans('game::game.placeholder.slug'))!!}
                </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="image" class="control-label col-lg-12 col-sm-12 text-left"> {{trans('game::game.label.thumbnail') }}
                        </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $game->files('image')
                            ->url($game->getUploadUrl('image'))
                            ->mime(config('filer.image_extensions'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                        {!! $game->files('image')
                        ->editor()!!}
                        </div>
                    </div>
                </div>
                <div class='col-md-12'>
                    {!! Form::textarea('description')
                    -> label(trans('game::game.label.description'))
                    -> dataUpload(trans_url($game->getUploadURL('description')))
                    -> addClass('html-editor')
                    -> placeholder(trans('game::game.placeholder.description'))!!}
                </div>
                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="images" class="control-label col-lg-12 col-sm-12 text-left">
                         {{trans('game::game.label.images') }}
                         </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $game->files('images', 10)
                            ->mime(config('filer.image_extensions'))
                            ->url($game->getUploadUrl('images'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                            {!! $game->files('images')
                             ->editor()!!}
                        </div>
                    </div>
                </div>
                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_checkboxes('status[]')
                   -> checkboxes(trans('game::game.options.status'))
                   -> required()
                   -> label(trans('game::game.label.status'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_checkboxes('featured[]')
                   -> checkboxes(trans('game::game.options.featured'))
                   -> label(trans('game::game.label.featured'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('game_path')
                       -> label(trans('game::game.label.game_path'))
                       -> placeholder(trans('game::game.placeholder.game_path'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('play_count')
                       -> label(trans('game::game.label.play_count'))
                       -> placeholder(trans('game::game.placeholder.play_count'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('category_id')
                    -> fromQuery(\Game\Game\Models\Game::all(), 'name', 'id')
                    -> label(trans('game::game.label.category_id'))
                    -> required()
                    -> placeholder(trans('game::game.placeholder.category_id'))!!}
                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



