<?php

// API routes  for categories
Route::prefix('{guard}/game')->group(function () {
    Route::get('categories/form/{element}', 'CategoriesAPIController@form');
    Route::resource('categories', 'CategoriesAPIController');
});

// Public routes for categories
Route::get('games/', 'CategoriesPublicController@index');
Route::get('games/{slug?}', 'CategoriesPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for games
            Route::prefix('{guard}/game')->group(function () {
                Route::get('categories/form/{element}', 'CategoriesAPIController@form');
                Route::apiResource('categories', 'CategoriesAPIController');
            });
            // Public routes for games
            Route::get('game/Categories', 'CategoriesPublicController@getCategories');
        }
    );
}


// API routes  for game
Route::prefix('{guard}/game')->group(function () {
    Route::get('game/form/{element}', 'GameAPIController@form');
    Route::resource('game', 'GameAPIController');
});

// Public routes for game
Route::get('games/', 'GamePublicController@index');
Route::get('games/{slug?}', 'GamePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for games
            Route::prefix('{guard}/game')->group(function () {
                Route::get('game/form/{element}', 'GameAPIController@form');
                Route::apiResource('game', 'GameAPIController');
            });
            // Public routes for games
            Route::get('game/Game', 'GamePublicController@getGame');
        }
    );
}

