<?php

// web routes  for categories
Route::prefix('{guard}/game')->group(function () {
    Route::resource('categories', 'CategoriesResourceController');
});

// Public routes for categories
Route::get('games/', 'CategoriesPublicController@index');
Route::get('games/{slug?}', 'CategoriesPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CategoriesResourceController');
            });
            // Public routes for pages
            Route::get('games/', 'CategoriesPublicController@index');
            Route::get('games/{slug?}', 'CategoriesPublicController@show');
        }
    );
}


// web routes  for game
Route::prefix('{guard}/game')->group(function () {
    Route::resource('game', 'GameResourceController');
});

// Public routes for game
Route::get('games/', 'GamePublicController@index');
Route::get('games/{slug?}', 'GamePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'GameResourceController');
            });
            // Public routes for pages
            Route::get('games/', 'GamePublicController@index');
            Route::get('games/{slug?}', 'GamePublicController@show');
        }
    );
}

