<?php

namespace Game\Game\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CategoriesTransformer extends TransformerAbstract
{
    public function transform(\Game\Game\Models\Categories $categories)
    {
        return [
            'id'                => $categories->getRouteKey(),
            'key'               => [
                'public'    => $categories->getPublicKey(),
                'route'     => $categories->getRouteKey(),
            ], 
            'name'              => $categories->name,
            'slug'              => $categories->slug,
            'url'               => [
                'public'    => trans_url('game/'.$categories->getPublicKey()),
                'user'      => guard_url('game/categories/'.$categories->getRouteKey()),
            ], 
            'status'            => trans('app.'.$categories->status),
            'created_at'        => format_date($categories->created_at),
            'updated_at'        => format_date($categories->updated_at),
        ];
    }
}